<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('personas', function (Blueprint $table) {
            //Campo nombres,cedula,direccion ahora es nulo
            $table->string('nombres')->nullable()->change();
            $table->string('cedula')->nullable()->change();
            $table->string('direccion')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('personas', function (Blueprint $table) {
            //Campo nombres,cedula,direccion ahora es nulo
            // $table->string('nombres')->nullable(false)->change();
            // $table->string('cedula')->nullable(false)->change();
            // $table->string('direccion')->nullable(false)->change();
        });
    }
};
